<button id="settings-button" type="button" (click)="toggleMenu()">
  <img src="../../../assets/quaff.png" height="32" />
</button>

<div class="modal" [ngClass]="{'active': menuActive }">
  <a class="modal-overlay" aria-label="Close" (click)="toggleMenu()"></a>
  <div class="modal-container">
    <div class="modal-header">
      <button class="btn btn-clear float-right" aria-label="Close" (click)="toggleMenu()"></button>
      <div class="modal-title h5">Settings</div>
    </div>
    <div class="modal-body">
      <div class="content">
        <app-settings-item *ngFor="let setting of clockSettings" [setting]="setting"></app-settings-item>
        <app-settings-item *ngFor="let setting of statusSettings" [setting]="setting"></app-settings-item>
      </div>
    </div>
  </div>
</div>
